# \Thelia\Tests\LogTlogTest

## Summary

Methods
Properties
Constants
setUpBeforeClass()
testDebugWithDebugLevel()
testDebugWithoutDebugLevel()
testDebugWithInfoLevel()
testDebugWithoutInfoLevel()
testDebugWithNoticeLevel()
testDebugWithoutNoticeLevel()
testWarningWithWarningLevel()
testWarningWithoutWarningLevel()
testErrorWithErrorLevel()
testErrorWithoutErrorLevel()
testErrorWithCriticalLevel()
testErrorWithoutCriticalLevel()
testErrorWithAlertLevel()
testErrorWithoutAlertLevel()
testErrorWithEmergencyLevel()
testErrorWithoutEmergencyLevel()
No public properties found
No constants found
No protected methods found
$logger
$regex
N/A
No private methods found
No private properties found
N/A

File
  Tests/Log/TlogTest.php
Package
  \Default
Class hierarchy
  \PHPUnit_Framework_TestCase
  \Thelia\Tests\Log\TlogTest

## Tags

None found

## Properties

### $logger

    $logger

#

## Tags

None found

### $regex

    $regex

#

## Tags

None found

## Methods

### setUpBeforeClass()

    setUpBeforeClass()

#

static

## Tags

None found

### testDebugWithDebugLevel()

    testDebugWithDebugLevel()

#

## Tags

None found

### testDebugWithoutDebugLevel()

    testDebugWithoutDebugLevel()

#

## Tags

None found

### testDebugWithInfoLevel()

    testDebugWithInfoLevel()

#

## Tags

None found

### testDebugWithoutInfoLevel()

    testDebugWithoutInfoLevel()

#

## Tags

None found

### testDebugWithNoticeLevel()

    testDebugWithNoticeLevel()

#

## Tags

None found

### testDebugWithoutNoticeLevel()

    testDebugWithoutNoticeLevel()

#

## Tags

None found

### testWarningWithWarningLevel()

    testWarningWithWarningLevel()

#

## Tags

None found

### testWarningWithoutWarningLevel()

    testWarningWithoutWarningLevel()

#

## Tags

None found

### testErrorWithErrorLevel()

    testErrorWithErrorLevel()

#

## Tags

None found

### testErrorWithoutErrorLevel()

    testErrorWithoutErrorLevel()

#

## Tags

None found

### testErrorWithCriticalLevel()

    testErrorWithCriticalLevel()

#

## Tags

None found

### testErrorWithoutCriticalLevel()

    testErrorWithoutCriticalLevel()

#

## Tags

None found

### testErrorWithAlertLevel()

    testErrorWithAlertLevel()

#

## Tags

None found

### testErrorWithoutAlertLevel()

    testErrorWithoutAlertLevel()

#

## Tags

None found

### testErrorWithEmergencyLevel()

    testErrorWithEmergencyLevel()

#

## Tags

None found

### testErrorWithoutEmergencyLevel()

    testErrorWithoutEmergencyLevel()

#

## Tags

None found

### TlogTest.php